Subject: Re: bug#44107: set-window-dedicated-p: args should be marked as optional

From: "Basil L. Contovounesios" <[email-masked]>
Date: Wed, 21 Oct 2020 01:25:43 +0100

Boruch Baum <[email-masked]> writes:

> On 2020-10-21 01:13, Basil L. Contovounesios wrote:
>> Or are you suggesting that the function's arguments _be made_ optional,
>> since they are both allowed to be nil?  (A positional argument that can
>> be nil is not the same as an optional argument.)
>
> Yes, I see I was unclear about that. They should be made optional since
> both may be nil.

I don't think that would make sense, since

  (set-window-dedicated-p nil nil)

undedicates the selected window, but if I saw its (proposed) equivalent

  (set-window-dedicated-p)

I'd think the opposite.

-- 
Basil